[Search]  Search   [Groups]  Back to EA Forum Index  
Base game incompatible with the current sims3 expansion pack  XML
Answers HQ - Questions & Comments  > EA Forums General Discussion
Author Message




Joined: 02/03/2010 15:45:48
Messages: 1
Offline

Hello,
After I installed the lasted update for the Sims3, I get the error message " base game incompatible with the current sims3 expansion pack.
I have the World Adventures expansion pack.
The launcher appears with the error message and the game will not open.
Help"




Joined: 02/04/2010 09:56:31
Messages: 1
Offline

I've had the same problem... how do i fix it..?




Joined: 04/02/2010 21:03:47
Messages: 1
Offline

I am so sick of requesting help on official EA gaming sites and having absolutely no rsponse or advice or technical support whatsoever.
This is maddening!

I just installed patch 3.2.8.005001 and now when I try to start Sims 3 (High-End Loft Stuff) I get an Error
"Your The Sims 3 Base Game is incompatible with the current Sims 3 Expansion Pack. Pleae update your game via the Game launcher." But on the game launcher it says: "Your game is up to date" and it wont let me play the game, click on Welcome, Downloads, Uploads or Installed Content.

When I purhased and initially installed High- End Loft Stuff, it told me I couldn't install the store-bought expansion pack due to incompatible regional codes or something stupid, so I sourced a fix online that included changing the regional code and tried to fix it on my own and after that it ran fine. Would that "fix" be the cause of my problem?

Will someone from EA, or someone from the official Sims3 gaming community PLEASE respond?





Joined: 02/14/2010 12:28:05
Messages: 1
Offline

thesims.jeole wrote:I am so sick of requesting help on official EA gaming sites and having absolutely no rsponse or advice or technical support whatsoever.
This is maddening!

I just installed patch 3.2.8.005001 and now when I try to start Sims 3 (High-End Loft Stuff) I get an Error
"Your The Sims 3 Base Game is incompatible with the current Sims 3 Expansion Pack. Pleae update your game via the Game launcher." But on the game launcher it says: "Your game is up to date" and it wont let me play the game, click on Welcome, Downloads, Uploads or Installed Content.

When I purhased and initially installed High- End Loft Stuff, it told me I couldn't install the store-bought expansion pack due to incompatible regional codes or something stupid, so I sourced a fix online that included changing the regional code and tried to fix it on my own and after that it ran fine. Would that "fix" be the cause of my problem?

Will someone from EA, or someone from the official Sims3 gaming community PLEASE respond?







i have done EXACTLY the same and have the same problem. Only difference is i have World Adventures instead of High - End Loft Stuff. I cant find a solution anywhere. Please help!


Forum Admin
[Avatar]
Joined: 02/23/2009 12:12:01
Messages: 4531
Offline

Hey folks.

try this as an inital step. Also make sure you do not have any CC on your games:

http://support.ea.com/cgi-bin/ea.cfg/php/enduser/std_adp.php?p_faqid=46598

-Big Guy-

Visit us on Facebook - http://www.facebook.com/pages/EA-Customer-Support/48228353146

Follow us on Twitter - http://twitter.com/AskEASupport
[WWW]




Joined: 04/21/2010 03:38:31
Messages: 1
Offline

i have the same problem... i uninstalled WA thinking that mite be the problem after reinstalling it and updating it again i have exactly the same problem this is so annoying can someone please help me.. and btw deleting that version tag didnt help me at all




Joined: 04/21/2010 10:40:56
Messages: 1
Offline

Hey, I Had the Same problem and did what they said to do and It did nothing, Did anyone find out how to fix it?


Forum Admin
[Avatar]
Joined: 02/23/2009 12:12:01
Messages: 4531
Offline

You can also try the fixes outlined here:

http://forum.thesims3.com/jforum/posts/list/294181.page

Regards,

-Big Guy-

This message was edited 1 time. Last update was at 04/14/2011 10:34:13


Visit us on Facebook - http://www.facebook.com/pages/EA-Customer-Support/48228353146

Follow us on Twitter - http://twitter.com/AskEASupport
[WWW]




Joined: 05/28/2010 04:19:07
Messages: 1
Offline

Many ppl r having problems installing the latest patch. I found a site that recommended that I disable my firewall/antivirus until after the patch was installed. This worked fine for me


Forum Admin
[Avatar]
Joined: 02/23/2009 12:12:01
Messages: 4531
Offline

Please also note that the error can be provoked by having custom content in the game that is not compatible with the current patch.

-Big Guy-

Visit us on Facebook - http://www.facebook.com/pages/EA-Customer-Support/48228353146

Follow us on Twitter - http://twitter.com/AskEASupport
[WWW]



[Avatar]
Joined: 05/28/2010 16:47:31
Messages: 37
Offline

i noticed that after u install high end loft it goes back and patches ur original sims 3 game to 1.9 or something.




Joined: 06/01/2010 20:17:54
Messages: 2
Offline

Hi, I had the same problem after updating The sims 3 to the latest patch 1.12/2.7/3.3 and was totally confused as the launcher wouldn't work saying the base game was incompatible. I have High end loft and world adventures. After checking the skuversion file for the base game, world adventures and high end loft I realised the only one that had actually been updated was high end loft (3.3), so I manually downloaded and installed the updates for both the base game (1.11 to 1.12) and world adventures (2.5 to 2.7) and hey presto! the game works again!




Joined: 06/01/2010 21:16:17
Messages: 1
Offline

thesims.AcehBabeh wrote:I have High end loft and world adventures. After checking the skuversion file for the base game, world adventures and high end loft I realised the only one that had actually been updated was high end loft (3.3), so I manually downloaded and installed the updates for both the base game (1.11 to 1.12) and world adventures (2.5 to 2.7) and hey presto! the game works again!


Can you tell me where you got your patches from as i have both games and looked at which one had been updated and it's just like yours. It would help me A LOT, if you would be able to tell me.

Thanks =]




Joined: 06/01/2010 20:17:54
Messages: 2
Offline

cem_ea_id.bob_marley_00 wrote:
thesims.AcehBabeh wrote:I have High end loft and world adventures. After checking the skuversion file for the base game, world adventures and high end loft I realised the only one that had actually been updated was high end loft (3.3), so I manually downloaded and installed the updates for both the base game (1.11 to 1.12) and world adventures (2.5 to 2.7) and hey presto! the game works again!


Can you tell me where you got your patches from as i have both games and looked at which one had been updated and it's just like yours. It would help me A LOT, if you would be able to tell me.

Thanks =]


Hye, yeah sure. I got the patches from http://www.modthesims.info/wiki.php?title=Game_Help:TS3_Patching
Just scroll down to Patch Downloads and it gives you instructions




Joined: 06/02/2010 13:26:45
Messages: 1
Offline

Hi I am having the same problem! yesterday, I installed and update for my Sims 3 game, and right when it was finished, I tried to play it, but each time i go to play Sims 3 High-End Loft Suff expansion pack, it doesn't let me play. The game launcher pops up, but gives me an error message saying, "Your The Sims 3 base game is incompatible with the current Sims 3 expansion pack. Please update your game via the game launcher."
So that is what it keeps telling me, but the problem is that i can't update my game, because the game launcher won't respond when i click any of the tabs. I go to click on Game updates, but it does nothing. Can you please help! i either need to update my expansion pack or whatever, but i won't let me, or i need to uninstall the latest upload i did, but i don't know how to do that either.
PLEASE HELP! Thank you!
Answers HQ - Questions & Comments  > EA Forums General Discussion
Go to: